<?php

/**
 * companiesController.php
 */
	
require_once "Zend/Controller/Action.php";

class companiesController extends Zend_Controller_Action
{
	
	public function init()
    {
    	// set the table that this controller will handle
        $this->_model = new TableModel(array('name' => 'company'));
        // set up other instances of the TableModel for other database tables
        $this->_model_provinces = new TableModel(array('name' => 'provinces'));
        $this->_model_countries = new TableModel(array('name' => 'countries'));
    }	
	
	/**
	 * The default action - show the home page
	 */
    public function indexAction() 
    {

    	// we want to execute the following query using ZF functions:
    	//
    	//	SELECT * 
    	//	FROM company, countries, provinces 
    	//	WHERE company.ProvID = provinces.ProvID
    	//	AND company.CountryID = countries.CountryID
    	
    	global $db;
    	
    	// Create the Zend_Db_Select object
		$select = $db->select();
		
		// Add a FROM clause (with joins)
		$select->from(array('c' => 'company'))
				->join(array('co' => 'countries'), 'c.CountryID = co.CountryID')
				->join(array('p' => 'provinces'), 'c.ProvID = p.ProvID');

		// execute the query
		$this->view->rowset = $db->fetchAll($select);

    }
    

    public function addAction()
    {
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$name = $filter->filter($this->_request->getPost('Name'));
    		$address1 = $filter->filter($this->_request->getPost('Address1'));
    		$address2 = $filter->filter($this->_request->getPost('Address2'));
    		$city = $filter->filter($this->_request->getPost('City'));
    		$provID = $filter->filter($this->_request->getPost('ProvID'));
    		$postal = $filter->filter($this->_request->getPost('Postal'));
    		$countryID = $filter->filter($this->_request->getPost('CountryID'));
    		
    		$data = array(
    			'Name' 		=> $name, 
    			'Address1' 	=> $address1, 
    			'Address2' 	=> $address2, 
    			'City' 		=> $city, 
    			'ProvID' 	=> $provID, 
    			'Postal' 	=> $postal, 
    			'CountryID' => $countryID
    		);
    		
    		$this->_model->insert($data);
    		$this->_redirect(WWW_ROOT.'companies');
    		return;
    	}
    	
    	// get province and country info for select boxes in the view
    	$this->view->prov_row = $this->_model_provinces->fetchAll();
        $this->view->country_row = $this->_model_countries->fetchAll();
    	
    }
    
    //
    public function deleteAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	if($id > 0) {
    		$this->_model->delete('CompanyID='.$id);
    		$this->_redirect(WWW_ROOT.'companies');
    		return;
    	}
    }
    
    //
    public function editAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	
    	// if submitted, update the table
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$name = $filter->filter($this->_request->getPost('Name'));
    		$address1 = $filter->filter($this->_request->getPost('Address1'));
    		$address2 = $filter->filter($this->_request->getPost('Address2'));
    		$city = $filter->filter($this->_request->getPost('City'));
    		$provID = $filter->filter($this->_request->getPost('ProvID'));
    		$postal = $filter->filter($this->_request->getPost('Postal'));
    		$countryID = $filter->filter($this->_request->getPost('CountryID'));
    		
    		$data = array(
    			'Name' 		=> $name, 
    			'Address1' 	=> $address1, 
    			'Address2' 	=> $address2, 
    			'City' 		=> $city, 
    			'ProvID' 	=> $provID, 
    			'Postal' 	=> $postal, 
    			'CountryID' => $countryID
    		);
    		
    		
    		$this->_model->update($data, 'CompanyID='.$id);
    		$this->_redirect(WWW_ROOT.'companies');
    		return;
    	}
    	
    	// query the db for the id being edited
    	if($id > 0) {
    		$this->view->company = $this->_model->fetchRow('CompanyID='.$id);
    	}
    	// set vars for the view to display
    	$this->view->companyID = $id;
    	
    	// get province and country info for select boxes in the view
    	$this->view->prov_row = $this->_model_provinces->fetchAll();
        $this->view->country_row = $this->_model_countries->fetchAll();
    	
    	
    }
    
}
		
