<?php

/**
 * companiesController
 * 
 * @author
 * @version 
 */
	
require_once "Zend/Controller/Action.php";

class eventsController extends Zend_Controller_Action
{
	
	public function init()
    {
    	// set the table that this controller will handle
        $this->_model = new TableModel(array('name' => 'events'));
        $this->_model_eventtype = new TableModel(array('name' => 'eventtypes'));
        $this->_model_people = new TableModel(array('name' => 'people'));
    }	
	
	/**
	 * The default action - show the home page
	 */
    public function indexAction() 
    {

		// we want to execute the following query using ZF functions:
    	//
    	//	SELECT * 
    	//	FROM events, eventtypes, people 
    	//	WHERE events.EventTypeID = eventtypes.EventTypeID
    	//	AND events.PeopleID = people.PeopleID
    	
    	global $db;
    	
    	// Create the Zend_Db_Select object
		$select = $db->select();
		
		// Add a FROM clause (with joins)
		$select->from(array('e' => 'events'))
				->join(array('et' => 'eventtypes'), 'e.EventTypeID = et.EventTypeID')
				->join(array('p' => 'people'), 'e.PeopleID = p.PeopleID');

		// execute the query
		$this->view->rowset = $db->fetchAll($select);
    	
    }
    
    //
    public function addAction()
    {
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$eventTypeID = $filter->filter($this->_request->getPost('EventTypeID'));
    		$eventDate = $filter->filter($this->_request->getPost('EventDate'));
    		$eventTime = $filter->filter($this->_request->getPost('EventTime'));
    		$peopleID = $filter->filter($this->_request->getPost('PeopleID'));
    		$notes = $filter->filter($this->_request->getPost('Notes'));
    		$followup = $filter->filter($this->_request->getPost('Followup'));
    		
    		$data = array(
    			'EventTypeID' 		=> $eventTypeID, 
    			'EventDate' 	=> $eventDate, 
    			'EventTime' 	=> $eventTime, 
    			'PeopleID' 		=> $peopleID, 
    			'Notes' 	=> $notes, 
    			'Followup' 	=> $followup
    		);
    		
    		$this->_model->insert($data);
    		$this->_redirect(WWW_ROOT.'events');
    		return;
    	}
    	
    	// get info for the dropdowns
    	$this->view->eventtype_row = $this->_model_eventtype->fetchAll();
    	$this->view->people_row = $this->_model_people->fetchAll();
    }
    
    //
    public function deleteAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	if($id > 0) {
    		$this->_model->delete('EventID='.$id);
    		$this->_redirect(WWW_ROOT.'events');
    		return;
    	}
    }
    
    //
    public function editAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	
    	// if submitted, update the table
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$eventTypeID = $filter->filter($this->_request->getPost('EventTypeID'));
    		$eventDate = $filter->filter($this->_request->getPost('EventDate'));
    		$eventTime = $filter->filter($this->_request->getPost('EventTime'));
    		$peopleID = $filter->filter($this->_request->getPost('PeopleID'));
    		$notes = $filter->filter($this->_request->getPost('Notes'));
    		$followup = $filter->filter($this->_request->getPost('Followup'));
    		
    		$data = array(
    			'EventTypeID' 		=> $eventTypeID, 
    			'EventDate' 	=> $eventDate, 
    			'EventTime' 	=> $eventTime, 
    			'PeopleID' 		=> $peopleID, 
    			'Notes' 	=> $notes, 
    			'Followup' 	=> $followup
    		);
    		
    		$this->_model->update($data, 'EventID='.$id);
    		$this->_redirect(WWW_ROOT.'events');
    		return;
    	}
    	
    	// query the db for the id being edited
    	if($id > 0) {
    		$this->view->event = $this->_model->fetchRow('EventID='.$id);
    	}
    	// set vars for the view to display
    	$this->view->eventID = $id;
    	
    	// get info for the dropdowns
    	$this->view->eventtype_row = $this->_model_eventtype->fetchAll();
    	$this->view->people_row = $this->_model_people->fetchAll();
    	
    }
    
}
		
