<?php

/**
 * companiesController
 * 
 * @author
 * @version 
 */
	
require_once "Zend/Controller/Action.php";

class peopleController extends Zend_Controller_Action
{
	
	public function init()
    {
    	// set the table that this controller will handle
        $this->_model = new TableModel(array('name' => 'people'));
        $this->_model_companies = new TableModel(array('name' => 'company'));
    }	
	
	/**
	 * The default action - show the home page
	 */
    public function indexAction() 
    {

        // we want to execute the following query using ZF functions:
    	//
    	//	SELECT * 
    	//	FROM people, company 
    	//	WHERE people.CompanyID = company.CompanyID
    	
    	global $db;
    	
    	// Create the Zend_Db_Select object
		$select = $db->select();
		
		// Add a FROM clause (with joins)
		$select->from(array('p' => 'people'))
				->join(array('c' => 'company'), 'p.CompanyID = c.CompanyID');

		// execute the query
		$this->view->rowset = $db->fetchAll($select);
    	
    }
    
    //
    public function addAction()
    {
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$fname = $filter->filter($this->_request->getPost('FName'));
    		$lname = $filter->filter($this->_request->getPost('LName'));
    		$companyID = $filter->filter($this->_request->getPost('CompanyID'));
    		$phone = $filter->filter($this->_request->getPost('Phone'));
    		$mobile = $filter->filter($this->_request->getPost('Mobile'));
    		$email = $filter->filter($this->_request->getPost('Email'));
    		
    		$data = array(
    			'FName' 		=> $fname, 
    			'LName' 	=> $lname, 
    			'CompanyID' 	=> $companyID, 
    			'Phone' 		=> $phone, 
    			'Mobile' 	=> $mobile, 
    			'Email' 	=> $email
    		);
    		
    		$this->_model->insert($data);
    		$this->_redirect(WWW_ROOT.'people');
    		return;
    	}
    	
    	// get company info for the dropdown
    	$this->view->company_row = $this->_model_companies->fetchAll();
    	
    }
    
    //
    public function deleteAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	if($id > 0) {
    		$this->_model->delete('PeopleID='.$id);
    		$this->_redirect(WWW_ROOT.'people');
    		return;
    	}
    }
    
    //
    public function editAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	
    	// if submitted, update the table
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$fname = $filter->filter($this->_request->getPost('FName'));
    		$lname = $filter->filter($this->_request->getPost('LName'));
    		$companyID = $filter->filter($this->_request->getPost('CompanyID'));
    		$phone = $filter->filter($this->_request->getPost('Phone'));
    		$mobile = $filter->filter($this->_request->getPost('Mobile'));
    		$email = $filter->filter($this->_request->getPost('Email'));
    		
    		$data = array(
    			'FName' 	=> $fname, 
    			'LName' 	=> $lname, 
    			'CompanyID' => $companyID, 
    			'Phone' 	=> $phone, 
    			'Mobile' 	=> $mobile, 
    			'Email' 	=> $email
    		);
    		
    		$this->_model->update($data, 'PeopleID='.$id);
    		$this->_redirect(WWW_ROOT.'people');
    		return;
    	}
    	
    	// query the db for the id being edited
    	if($id > 0) {
    		$this->view->person = $this->_model->fetchRow('PeopleID='.$id);
    	}
    	// set vars for the view to display
    	$this->view->PeopleID = $id;
    	
    	// get company info for the dropdown
    	$this->view->company_row = $this->_model_companies->fetchAll();
    	
    }
    
}
		
