<?php

/**
 * UsersController
 * 
 * @author
 * @version 
 */
	
require_once "Zend/Controller/Action.php";

class usersController extends Zend_Controller_Action
{
	
	public function init()
    {
    	// set the table that this controller will handle
        $this->_model = new TableModel(array('name' => 'users'));
    }	
	
	/**
	 * The default action - show the home page
	 */
    public function indexAction() 
    {

        $params = $this->getRequest()->getUserParams();
        $filters = array(
            'wherecolumn' => 'alnum',
            'order'       => 'alnum',
            'count'       => 'digits',
            'offset'      => 'digits'
        );
        $valids = array(
            'wherecolumn' => array('presence' => 'optional'),
            'wherevalue'  => array('presence' => 'optional'),
            'order'       => array('presence' => 'optional'),
            'count'       => array('int', 'default' => 20),
            'offset'      => 'int'
        );
        $input = new Zend_Filter_Input($filters, $valids, $params);
        if (!$input->isValid()) {
            $this->_redirect();
        }
        $whereColumn  = $input->wherecolumn;
        $whereValue   = $input->wherevalue;
        $order        = $input->order;
        $count        = $input->count;
        $offset       = $input->offset;

        $db = $this->_model->getAdapter();
        $tableInfo = $this->_model->info();
        $this->view->tableInfo = $tableInfo;

        $where = null;
        if ($whereColumn) {
            $expr = $db->quoteIdentifier($whereColumn) . ' IN (?)';
            $where = $db->quoteInto($expr, $whereValue);
        }

        $this->view->rowset = $this->_model->fetchAll(
            $where, $order, $count, $offset);

        $select = $db->select()
            ->from($tableInfo['name'], 'COUNT(*)');

        $this->view->rowCount = $db->fetchOne($select);

        $this->view->distinctValues = array();
        foreach ($tableInfo['cols'] as $columnName) {
            $select = $db->select()
                ->from($tableInfo['name'], $columnName)
                ->distinct();
            $this->view->distinctValues[$columnName] = $db->fetchCol($select);
        }
    	
    }
    
    //
    public function addAction()
    {
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    		// filter posted content
    		$email = $filter->filter($this->_request->getPost('Email'));
    		$password1 = $filter->filter($this->_request->getPost('Password1'));
    		$password2 = $filter->filter($this->_request->getPost('Password2'));
    		$password = '';
    		
    		$error = '';
    		
    		if(strcmp($password1 != '' && $password1, $password2) == 0) {
    			if($password1 == '') {
    				$error = 'Please fill in the password field';
    			}
    			else {
    				$password = md5($password1);
    			}
    		}
    		else {
    			$error = 'Passwords do not match';
    		}
    		
    		if($error == '') {	
    		
	    		$data = array(
	    			'Email' 		=> $email, 
	    			'Password' 	=> $password
	    		);
	    		
	    		$this->_model->insert($data);
	    		$this->_redirect(WWW_ROOT.'users');
	    		return;
    		}
    		else {
    			$this->view->error = $error;	
    		}
    		
    	}
    }
    
    //
    public function deleteAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	if($id > 0) {
    		$this->_model->delete('UserID='.$id);
    		$this->_redirect(WWW_ROOT.'users');
    		return;
    	}
    }
    
    //
    public function editAction()
    {
    	
    	$id = $this->_request->getParam('id', 0);
    	
    	// if submitted, update the table
    	if($this->_request->isPost()) {
    		
    		Zend_Loader::loadClass('Zend_Filter_StripTags');
    		$filter = new Zend_Filter_StripTags();
    		
    	    // filter posted content
    		$email = $filter->filter($this->_request->getPost('Email'));
    		$password1 = $filter->filter($this->_request->getPost('Password1'));
    		$password2 = $filter->filter($this->_request->getPost('Password2'));
    		$password = $filter->filter($this->_request->getPost('PasswordOld'));
    		
    		$error = '';
    		
    		if(strcmp($password1, $password2) == 0) {
    				$password = md5($password1);
    		}
    		else {
    			$error = 'Passwords do not match';
    		}
    		
    		if($error == '') {	
    		
	    		$data = array(
	    			'Email' 		=> $email, 
	    			'Password' 	=> $password
	    		);
	    		
	    		$this->_model->update($data, 'UserID='.$id);
	    		$this->_redirect(WWW_ROOT.'users');
	    		return;
    		}
    		else {
    			$this->view->error = $error;	
    		}
    	}
    	
    	// query the db for the id being edited
    	if($id > 0) {
    		$this->view->user = $this->_model->fetchRow('UserID='.$id);
    	}
    	// set vars for the view to display
    	$this->view->UserID = $id;
    	
    	
    }
    
}
		
