<?php

/**
 * Zend Studio for Eclipse CRM bootstrap file
 * /document_roothtml/index.php
 */

require_once 'Zend/Session/Namespace.php';
$sessionNamespace = new Zend_Session_Namespace();

// global variables can be define heres
define('WWW_ROOT', 'http://localhost/Studio_CRM/html/');

// set up an autoload callback that will load parts of the framework on demand
require_once 'Zend/Loader.php';
Zend_Loader::registerAutoload();

// set up the application directory
$appDir = dirname(dirname(__FILE__)) . '/application';

// add the models directory to the include path to make it easier to load them
set_include_path(
    $appDir . '/default/models'
    . PATH_SEPARATOR
    . get_include_path()
);


// an interesting way to load database connection information via INI file
$config = new Zend_Config_Ini("$appDir/etc/config.ini", 'main');
Zend_Registry::set('config', $config);

// set up the database object using information from the INI
$db = Zend_Db::factory(
    $config->database->adapter,
    $config->database->params->toArray()
);


//Save this database connection in a place where other classes can find it.
Zend_Registry::set('defaultDb', $db);
Zend_Db_Table::setDefaultAdapter('defaultDb');

// basic framework setup
require_once 'Zend/Controller/Front.php';

$controller = Zend_Controller_Front::getInstance();
$controller->setControllerDirectory('../application/default/controllers');
$controller->throwExceptions(true);
$controller->dispatch();

?>