-- 
-- Database: `neon_crm`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `company`
-- 

CREATE TABLE `company` (
  `CompanyID` int(11) NOT NULL auto_increment,
  `Name` varchar(50) NOT NULL,
  `Address1` varchar(45) NOT NULL,
  `Address2` varchar(45) NOT NULL,
  `City` varchar(40) NOT NULL,
  `ProvID` tinyint(4) NOT NULL,
  `Postal` varchar(8) NOT NULL,
  `CountryID` tinyint(4) NOT NULL,
  PRIMARY KEY  (`CompanyID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Table structure for table `countries`
-- 

CREATE TABLE `countries` (
  `CountryID` int(11) NOT NULL auto_increment,
  `Country` varchar(60) NOT NULL,
  PRIMARY KEY  (`CountryID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Table structure for table `events`
-- 

CREATE TABLE `events` (
  `EventID` int(11) NOT NULL auto_increment,
  `EventTypeID` int(11) NOT NULL,
  `EventDate` date NOT NULL,
  `EventTime` time NOT NULL,
  `PeopleID` int(11) NOT NULL,
  `Notes` text NOT NULL,
  `Followup` date NOT NULL,
  PRIMARY KEY  (`EventID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Table structure for table `eventtypes`
-- 

CREATE TABLE `eventtypes` (
  `EventTypeID` int(11) NOT NULL auto_increment,
  `EventType` varchar(45) NOT NULL,
  PRIMARY KEY  (`EventTypeID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Table structure for table `people`
-- 

CREATE TABLE `people` (
  `PeopleID` int(11) NOT NULL auto_increment,
  `FName` varchar(45) NOT NULL,
  `LName` varchar(45) NOT NULL,
  `CompanyID` int(11) NOT NULL,
  `Phone` varchar(14) NOT NULL,
  `Mobile` varchar(14) NOT NULL,
  `Email` varchar(45) NOT NULL,
  PRIMARY KEY  (`PeopleID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Table structure for table `users`
-- 

CREATE TABLE `users` (
  `UserID` int(11) NOT NULL auto_increment,
  `Email` varchar(64) collate latin1_general_ci NOT NULL,
  `Password` varchar(64) collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`UserID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
